/**
 * Copyright (c) 2006, Van
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 * Neither the name of the VAN nor the names of its contributors may be used
 * to endorse or promote products derived from this software without specific
 * prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
package van.harvest;

import com.intellij.openapi.util.JDOMExternalizable;
import com.intellij.openapi.util.InvalidDataException;
import com.intellij.openapi.util.WriteExternalException;
import com.intellij.openapi.util.DefaultJDOMExternalizer;
import org.jdom.Element;

/**
 */
public class MapItem implements JDOMExternalizable {

    public String CLIENT_PATH = "";
    public String PROJECT = "";
    public String STATE = "";
    public String PACKAGE = "";
    public String VIEW_PATH = "";

    public MapItem(String clientPath, String project, String state, String pkg, String viewPath) {
        this.CLIENT_PATH = clientPath;
        this.PROJECT = project;
        this.STATE = state;
        this.PACKAGE = pkg;
        this.VIEW_PATH = viewPath;
    }

    public int hashCode() {
        return CLIENT_PATH.hashCode() + PROJECT.hashCode()
                + PACKAGE.hashCode() + STATE.hashCode() + VIEW_PATH.hashCode();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof MapItem))
            return false;
        MapItem item = (MapItem) obj;
        return CLIENT_PATH.equals(item.CLIENT_PATH) &&
                PROJECT.equals(item.PROJECT) &&
                STATE.equals(item.STATE) &&
                PACKAGE.equals(item.PACKAGE) &&
                VIEW_PATH.equals(item.VIEW_PATH);
    }

    public void readExternal(Element element) throws InvalidDataException {
        DefaultJDOMExternalizer.readExternal(this, element);
    }

    public void writeExternal(Element element) throws WriteExternalException {
        DefaultJDOMExternalizer.writeExternal(this, element);
    }
}
