/**
 * Copyright (c) 2006, Van
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 * Neither the name of the VAN nor the names of its contributors may be used
 * to endorse or promote products derived from this software without specific
 * prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
package van.harvest.actions;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.DataConstants;
import com.intellij.openapi.ui.Messages;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.application.ApplicationInfo;
import van.harvest.PluginInfo;

/**
 * The "About Plugin" action.
 *
 */
public class AboutAction extends AnAction {
    public void actionPerformed(AnActionEvent event) {
        Project project = (Project) event.getDataContext().getData(DataConstants.PROJECT);

        StringBuffer message = new StringBuffer();
        message.append("<html>");
        message.append(PluginInfo.NAME).append(' ').append(PluginInfo.VERSION).append("<br>").append('\n');
        message.append("Build # ").append(PluginInfo.BUILD_NUMBER).append("<br>").append('\n');
        message.append("Build on ").append(PluginInfo.BUILD_DATE).append("<br>").append('\n');
        message.append("Author ").append(PluginInfo.AUTHOR).append("<br>").append('\n');
        message.append("<br>").append('\n');
        ApplicationInfo idea = ApplicationInfo.getInstance();
        message.append(idea.getVersionName()).append(' ').append(idea.getMajorVersion()).append('.').append(idea.getMinorVersion()).append("<br>").append('\n');
        message.append("build # ").append(idea.getBuildNumber()).append("<br>").append('\n');
        message.append("<br>").append('\n');
        message.append("Copyright(C)2005").append("<br>").append('\n');
        message.append("</html>").append('\n');

        StringBuffer title = new StringBuffer();
        title.append("About ").append(PluginInfo.NAME).append(" plugin...");

        Messages.showMessageDialog(project, message.toString(), "About " + PluginInfo.NAME + " Plugin", PluginInfo.ICON);
    }
}
